This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 608956 - [ja] history.py: UnicodeEncodeError: 'ascii' codec can't encode character u'\u306f' in position 39: ordinal not in range(128)
[ja] history.py: UnicodeEncodeError: 'ascii' codec can't encode character u'\...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2010-06-28 22:43 EDT by Jens Petersen
Modified: 2014-01-21 18:15 EST (History)
6 users (show)

See Also:
Fixed In Version: yum-3.2.28-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 01:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from yum (12.82 KB, text/plain)
2010-08-05 15:24 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Jens Petersen 2010-06-28 22:43:41 EDT
Description of problem:
Getting a backtrace from yum update (without LANG=C).

Version-Release number of selected component (if applicable):
yum-3.2.27-17.fc14

Steps to Reproduce:
$ LANG=ja_JP.UTF-8 yum update
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 258, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 196, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 544, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1328, in runTransaction
    self.skipped_packages, rpmdb_problems, cmdline)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 500, in beg
    self._trans_rpmdb_problem(problem)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 433, in _trans_rpmdb_problem
    to_unicode(str(problem))))
UnicodeEncodeError: 'ascii' codec can't encode character u'\u306f' in position 39: ordinal not in range(128)

Expected results:
No backtrace

Additional info:
LANG=C etc works around it.
Comment 1 Bug Zapper 2010-07-30 08:17:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Mamoru TASAKA 2010-08-05 15:24:58 EDT
Created attachment 436948 [details]
output from yum

Can be reproduced even with yum-3.2.28-1.fc14.noarch (currently
in f14-updates-testing).
Comment 3 Mamoru TASAKA 2010-08-05 15:25:40 EDT
I think bug 619784 is a dup of this.
Comment 4 Fedora Update System 2010-08-09 15:55:43 EDT
yum-3.2.28-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc12
Comment 5 Fedora Update System 2010-08-09 15:56:20 EDT
yum-3.2.28-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc14
Comment 6 Fedora Update System 2010-08-09 15:56:47 EDT
yum-3.2.28-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc13
Comment 7 Fedora Update System 2010-08-10 17:45:51 EDT
yum-3.2.28-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc13
Comment 8 Fedora Update System 2010-08-12 00:11:04 EDT
yum-3.2.28-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc12
Comment 9 Fedora Update System 2010-08-12 15:58:41 EDT
yum-3.2.28-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc14
Comment 10 Fedora Update System 2010-08-12 16:17:14 EDT
yum-3.2.28-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc12
Comment 11 Fedora Update System 2010-08-12 16:19:37 EDT
yum-3.2.28-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc13
Comment 12 Fedora Update System 2010-08-12 16:21:59 EDT
yum-3.2.28-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc14
Comment 13 Fedora Update System 2010-08-17 01:47:20 EDT
yum-3.2.28-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-08-19 22:20:54 EDT
yum-3.2.28-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-08-23 21:38:32 EDT
yum-3.2.28-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.